Index: trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Resources.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Resources.Designer.cs	(revision 4068)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Resources.Designer.cs	(revision 6413)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.1
+//     Runtime Version:4.0.30319.225
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -10,212 +10,220 @@
 
 namespace HeuristicLab.PluginInfrastructure {
-
-
-  /// <summary>
-  ///   A strongly-typed resource class, for looking up localized strings, etc.
-  /// </summary>
-  // This class was auto-generated by the StronglyTypedResourceBuilder
-  // class via a tool like ResGen or Visual Studio.
-  // To add or remove a member, edit your .ResX file then rerun ResGen
-  // with the /str option, or rebuild your VS project.
-  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
-  [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
-  internal class Resources {
-
-    private static global::System.Resources.ResourceManager resourceMan;
-
-    private static global::System.Globalization.CultureInfo resourceCulture;
-
-    [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
-    internal Resources() {
+    using System;
+    
+    
+    /// <summary>
+    ///   A strongly-typed resource class, for looking up localized strings, etc.
+    /// </summary>
+    // This class was auto-generated by the StronglyTypedResourceBuilder
+    // class via a tool like ResGen or Visual Studio.
+    // To add or remove a member, edit your .ResX file then rerun ResGen
+    // with the /str option, or rebuild your VS project.
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
+    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+    internal class Resources {
+        
+        private static global::System.Resources.ResourceManager resourceMan;
+        
+        private static global::System.Globalization.CultureInfo resourceCulture;
+        
+        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
+        internal Resources() {
+        }
+        
+        /// <summary>
+        ///   Returns the cached ResourceManager instance used by this class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Resources.ResourceManager ResourceManager {
+            get {
+                if (object.ReferenceEquals(resourceMan, null)) {
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.PluginInfrastructure.Resources", typeof(Resources).Assembly);
+                    resourceMan = temp;
+                }
+                return resourceMan;
+            }
+        }
+        
+        /// <summary>
+        ///   Overrides the current thread's CurrentUICulture property for all
+        ///   resource lookups using this strongly typed resource class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Globalization.CultureInfo Culture {
+            get {
+                return resourceCulture;
+            }
+            set {
+                resourceCulture = value;
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Add {
+            get {
+                object obj = ResourceManager.GetObject("Add", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap ArrowUp {
+            get {
+                object obj = ResourceManager.GetObject("ArrowUp", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Assembly {
+            get {
+                object obj = ResourceManager.GetObject("Assembly", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Document {
+            get {
+                object obj = ResourceManager.GetObject("Document", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Error {
+            get {
+                object obj = ResourceManager.GetObject("Error", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Icon ErrorIcon {
+            get {
+                object obj = ResourceManager.GetObject("ErrorIcon", resourceCulture);
+                return ((System.Drawing.Icon)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap File {
+            get {
+                object obj = ResourceManager.GetObject("File", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Icon HeuristicLab {
+            get {
+                object obj = ResourceManager.GetObject("HeuristicLab", resourceCulture);
+                return ((System.Drawing.Icon)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap HeuristicLabBanner {
+            get {
+                object obj = ResourceManager.GetObject("HeuristicLabBanner", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap HeuristicLabLogo {
+            get {
+                object obj = ResourceManager.GetObject("HeuristicLabLogo", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Install {
+            get {
+                object obj = ResourceManager.GetObject("Install", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Internet {
+            get {
+                object obj = ResourceManager.GetObject("Internet", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to HeuristicLab is free software: you can redistribute it and/or modify
+        ///it under the terms of the GNU General Public License as published by
+        ///the Free Software Foundation, either version 3 of the License, or
+        ///(at your option) any later version.
+        ///
+        ///HeuristicLab is distributed in the hope that it will be useful,
+        ///but WITHOUT ANY WARRANTY; without even the implied warranty of
+        ///MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+        ///GNU General Public License for more details.
+        ///
+        ///You should have received a copy of t [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string LicenseText {
+            get {
+                return ResourceManager.GetString("LicenseText", resourceCulture);
+            }
+        }
+        
+        internal static System.Drawing.Bitmap NetworkConnections {
+            get {
+                object obj = ResourceManager.GetObject("NetworkConnections", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Plugin {
+            get {
+                object obj = ResourceManager.GetObject("Plugin", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap PublishToWeb {
+            get {
+                object obj = ResourceManager.GetObject("PublishToWeb", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Remove {
+            get {
+                object obj = ResourceManager.GetObject("Remove", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Repeat {
+            get {
+                object obj = ResourceManager.GetObject("Repeat", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Icon Setup_Install {
+            get {
+                object obj = ResourceManager.GetObject("Setup_Install", resourceCulture);
+                return ((System.Drawing.Icon)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap ShowDetails {
+            get {
+                object obj = ResourceManager.GetObject("ShowDetails", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap ShowIcons {
+            get {
+                object obj = ResourceManager.GetObject("ShowIcons", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Icon UpdateAvailable {
+            get {
+                object obj = ResourceManager.GetObject("UpdateAvailable", resourceCulture);
+                return ((System.Drawing.Icon)(obj));
+            }
+        }
     }
-
-    /// <summary>
-    ///   Returns the cached ResourceManager instance used by this class.
-    /// </summary>
-    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-    internal static global::System.Resources.ResourceManager ResourceManager {
-      get {
-        if (object.ReferenceEquals(resourceMan, null)) {
-          global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.PluginInfrastructure.Resources", typeof(Resources).Assembly);
-          resourceMan = temp;
-        }
-        return resourceMan;
-      }
-    }
-
-    /// <summary>
-    ///   Overrides the current thread's CurrentUICulture property for all
-    ///   resource lookups using this strongly typed resource class.
-    /// </summary>
-    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-    internal static global::System.Globalization.CultureInfo Culture {
-      get {
-        return resourceCulture;
-      }
-      set {
-        resourceCulture = value;
-      }
-    }
-
-    internal static System.Drawing.Bitmap Add {
-      get {
-        object obj = ResourceManager.GetObject("Add", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap ArrowUp {
-      get {
-        object obj = ResourceManager.GetObject("ArrowUp", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap Assembly {
-      get {
-        object obj = ResourceManager.GetObject("Assembly", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap Document {
-      get {
-        object obj = ResourceManager.GetObject("Document", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap Error {
-      get {
-        object obj = ResourceManager.GetObject("Error", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Icon ErrorIcon {
-      get {
-        object obj = ResourceManager.GetObject("ErrorIcon", resourceCulture);
-        return ((System.Drawing.Icon)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap File {
-      get {
-        object obj = ResourceManager.GetObject("File", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Icon HeuristicLab {
-      get {
-        object obj = ResourceManager.GetObject("HeuristicLab", resourceCulture);
-        return ((System.Drawing.Icon)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap HeuristicLabBanner {
-      get {
-        object obj = ResourceManager.GetObject("HeuristicLabBanner", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap HeuristicLabLogo {
-      get {
-        object obj = ResourceManager.GetObject("HeuristicLabLogo", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap Install {
-      get {
-        object obj = ResourceManager.GetObject("Install", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap Internet {
-      get {
-        object obj = ResourceManager.GetObject("Internet", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    /// <summary>
-    ///   Looks up a localized string similar to HeuristicLab is free software: you can redistribute it and/or modify
-    ///it under the terms of the GNU General Public License as published by
-    ///the Free Software Foundation, either version 3 of the License, or
-    ///(at your option) any later version.
-    ///
-    ///HeuristicLab is distributed in the hope that it will be useful,
-    ///but WITHOUT ANY WARRANTY; without even the implied warranty of
-    ///MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    ///GNU General Public License for more details.
-    ///
-    ///You should have received a copy of t [rest of string was truncated]&quot;;.
-    /// </summary>
-    internal static string LicenseText {
-      get {
-        return ResourceManager.GetString("LicenseText", resourceCulture);
-      }
-    }
-
-    internal static System.Drawing.Bitmap NetworkConnections {
-      get {
-        object obj = ResourceManager.GetObject("NetworkConnections", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap Plugin {
-      get {
-        object obj = ResourceManager.GetObject("Plugin", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap PublishToWeb {
-      get {
-        object obj = ResourceManager.GetObject("PublishToWeb", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap Remove {
-      get {
-        object obj = ResourceManager.GetObject("Remove", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap Repeat {
-      get {
-        object obj = ResourceManager.GetObject("Repeat", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Icon Setup_Install {
-      get {
-        object obj = ResourceManager.GetObject("Setup_Install", resourceCulture);
-        return ((System.Drawing.Icon)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap ShowDetails {
-      get {
-        object obj = ResourceManager.GetObject("ShowDetails", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-
-    internal static System.Drawing.Bitmap ShowIcons {
-      get {
-        object obj = ResourceManager.GetObject("ShowIcons", resourceCulture);
-        return ((System.Drawing.Bitmap)(obj));
-      }
-    }
-  }
 }