Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HiveAdministrationClient.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HiveAdministrationClient.cs	(revision 6436)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HiveAdministrationClient.cs	(revision 6437)
@@ -29,14 +29,8 @@
     public List<SlaveGroup> SlaveGroups;
     public List<Slave> Slaves;
-    public List<string> Users;
-    public List<HiveExperiment> Experiments;
 
 
     public HiveAdministrationClient() {
       UpdateSlaveGroups();
-      Users = new List<string>();
-      Users.Add("Mr. White");
-      Users.Add("Mr. Pink");
-      Users.Add("Mr. Blue");
     }
 
@@ -53,5 +47,4 @@
         SlaveGroups = new List<SlaveGroup>(service.GetSlaveGroups());
         Slaves = new List<Slave>(service.GetSlaves());
-        Experiments = new List<HiveExperiment>(service.GetAllHiveExperiments());
       });
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/HiveAdministrationView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/HiveAdministrationView.Designer.cs	(revision 6436)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/HiveAdministrationView.Designer.cs	(revision 6437)
@@ -20,10 +20,8 @@
 #endregion
 
-using HeuristicLab.Clients.Hive.Administration.Views.Common;
-using HeuristicLab.Clients.Hive.ExperimentManager.Views;
 namespace HeuristicLab.Clients.Hive.Administration.Views {
   partial class HiveAdministrationView {
     private System.Windows.Forms.TabControl tabAdmin;
-    private System.Windows.Forms.TabPage tabUsers;
+    private HeuristicLab.Clients.Hive.Administration.Views.ResourcesView resourcesView;
 
     #region Component Designer generated code
@@ -32,41 +30,8 @@
       this.tabAdmin = new System.Windows.Forms.TabControl();
       this.tabSlaves = new System.Windows.Forms.TabPage();
-      this.resourcesView = new ResourcesView();
-      this.tabUsers = new System.Windows.Forms.TabPage();
-      this.splitUsers = new System.Windows.Forms.SplitContainer();
-      this.lstUsers = new System.Windows.Forms.ListView();
       this.imageListUsers = new System.Windows.Forms.ImageList(this.components);
-      this.tabUserDetails = new System.Windows.Forms.TabControl();
-      this.tabUserInformation = new System.Windows.Forms.TabPage();
-      this.txtUserName = new System.Windows.Forms.TextBox();
-      this.txtUserLastActivity = new System.Windows.Forms.TextBox();
-      this.txtUserRole = new System.Windows.Forms.TextBox();
-      this.label1 = new System.Windows.Forms.Label();
-      this.txtUserEmail = new System.Windows.Forms.TextBox();
-      this.label2 = new System.Windows.Forms.Label();
-      this.txtUserPriority = new System.Windows.Forms.TextBox();
-      this.label3 = new System.Windows.Forms.Label();
-      this.txtUserCalculatedJobs = new System.Windows.Forms.TextBox();
-      this.label4 = new System.Windows.Forms.Label();
-      this.txtUserExecutionTime = new System.Windows.Forms.TextBox();
-      this.label6 = new System.Windows.Forms.Label();
-      this.label8 = new System.Windows.Forms.Label();
-      this.label7 = new System.Windows.Forms.Label();
-      this.tabUserJobs = new System.Windows.Forms.TabPage();
-      this.updateControl2 = new UpdateControl();
-      this.hiveExperimentManagerView = new HiveExperimentManagerView();
-      this.tabStatistics = new System.Windows.Forms.TabPage();
-      this.label5 = new System.Windows.Forms.Label();
+      this.resourcesView = new HeuristicLab.Clients.Hive.Administration.Views.ResourcesView();
       this.tabAdmin.SuspendLayout();
       this.tabSlaves.SuspendLayout();
-      this.tabUsers.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.splitUsers)).BeginInit();
-      this.splitUsers.Panel1.SuspendLayout();
-      this.splitUsers.Panel2.SuspendLayout();
-      this.splitUsers.SuspendLayout();
-      this.tabUserDetails.SuspendLayout();
-      this.tabUserInformation.SuspendLayout();
-      this.tabUserJobs.SuspendLayout();
-      this.tabStatistics.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -77,6 +42,4 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.tabAdmin.Controls.Add(this.tabSlaves);
-      this.tabAdmin.Controls.Add(this.tabUsers);
-      this.tabAdmin.Controls.Add(this.tabStatistics);
       this.tabAdmin.Location = new System.Drawing.Point(3, 0);
       this.tabAdmin.Name = "tabAdmin";
@@ -96,4 +59,10 @@
       this.tabSlaves.UseVisualStyleBackColor = true;
       // 
+      // imageListUsers
+      // 
+      this.imageListUsers.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
+      this.imageListUsers.ImageSize = new System.Drawing.Size(16, 16);
+      this.imageListUsers.TransparentColor = System.Drawing.Color.Transparent;
+      // 
       // resourcesView
       // 
@@ -109,277 +78,4 @@
       this.resourcesView.TabIndex = 0;
       // 
-      // tabUsers
-      // 
-      this.tabUsers.Controls.Add(this.splitUsers);
-      this.tabUsers.Location = new System.Drawing.Point(4, 22);
-      this.tabUsers.Name = "tabUsers";
-      this.tabUsers.Padding = new System.Windows.Forms.Padding(3);
-      this.tabUsers.Size = new System.Drawing.Size(734, 520);
-      this.tabUsers.TabIndex = 1;
-      this.tabUsers.Text = "Users";
-      this.tabUsers.UseVisualStyleBackColor = true;
-      // 
-      // splitUsers
-      // 
-      this.splitUsers.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.splitUsers.Location = new System.Drawing.Point(3, 6);
-      this.splitUsers.Name = "splitUsers";
-      // 
-      // splitUsers.Panel1
-      // 
-      this.splitUsers.Panel1.Controls.Add(this.lstUsers);
-      // 
-      // splitUsers.Panel2
-      // 
-      this.splitUsers.Panel2.Controls.Add(this.tabUserDetails);
-      this.splitUsers.Size = new System.Drawing.Size(722, 508);
-      this.splitUsers.SplitterDistance = 215;
-      this.splitUsers.TabIndex = 0;
-      // 
-      // lstUsers
-      // 
-      this.lstUsers.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.lstUsers.Location = new System.Drawing.Point(3, 4);
-      this.lstUsers.Name = "lstUsers";
-      this.lstUsers.Size = new System.Drawing.Size(209, 501);
-      this.lstUsers.SmallImageList = this.imageListUsers;
-      this.lstUsers.TabIndex = 0;
-      this.lstUsers.UseCompatibleStateImageBehavior = false;
-      this.lstUsers.View = System.Windows.Forms.View.List;
-      // 
-      // imageListUsers
-      // 
-      this.imageListUsers.ColorDepth = System.Windows.Forms.ColorDepth.Depth32Bit;
-      this.imageListUsers.ImageSize = new System.Drawing.Size(16, 16);
-      this.imageListUsers.TransparentColor = System.Drawing.Color.Transparent;
-      // 
-      // tabUserDetails
-      // 
-      this.tabUserDetails.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.tabUserDetails.Controls.Add(this.tabUserInformation);
-      this.tabUserDetails.Controls.Add(this.tabUserJobs);
-      this.tabUserDetails.Location = new System.Drawing.Point(3, 3);
-      this.tabUserDetails.Name = "tabUserDetails";
-      this.tabUserDetails.SelectedIndex = 0;
-      this.tabUserDetails.Size = new System.Drawing.Size(496, 501);
-      this.tabUserDetails.TabIndex = 1;
-      // 
-      // tabUserInformation
-      // 
-      this.tabUserInformation.Controls.Add(this.txtUserName);
-      this.tabUserInformation.Controls.Add(this.txtUserLastActivity);
-      this.tabUserInformation.Controls.Add(this.txtUserRole);
-      this.tabUserInformation.Controls.Add(this.label1);
-      this.tabUserInformation.Controls.Add(this.txtUserEmail);
-      this.tabUserInformation.Controls.Add(this.label2);
-      this.tabUserInformation.Controls.Add(this.txtUserPriority);
-      this.tabUserInformation.Controls.Add(this.label3);
-      this.tabUserInformation.Controls.Add(this.txtUserCalculatedJobs);
-      this.tabUserInformation.Controls.Add(this.label4);
-      this.tabUserInformation.Controls.Add(this.txtUserExecutionTime);
-      this.tabUserInformation.Controls.Add(this.label6);
-      this.tabUserInformation.Controls.Add(this.label8);
-      this.tabUserInformation.Controls.Add(this.label7);
-      this.tabUserInformation.Location = new System.Drawing.Point(4, 22);
-      this.tabUserInformation.Name = "tabUserInformation";
-      this.tabUserInformation.Padding = new System.Windows.Forms.Padding(3);
-      this.tabUserInformation.Size = new System.Drawing.Size(488, 475);
-      this.tabUserInformation.TabIndex = 0;
-      this.tabUserInformation.Text = "User Information";
-      this.tabUserInformation.UseVisualStyleBackColor = true;
-      // 
-      // txtUserName
-      // 
-      this.txtUserName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtUserName.Location = new System.Drawing.Point(163, 14);
-      this.txtUserName.Name = "txtUserName";
-      this.txtUserName.Size = new System.Drawing.Size(319, 20);
-      this.txtUserName.TabIndex = 17;
-      this.txtUserName.Text = "ascheibe";
-      // 
-      // txtUserLastActivity
-      // 
-      this.txtUserLastActivity.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtUserLastActivity.Location = new System.Drawing.Point(163, 40);
-      this.txtUserLastActivity.Name = "txtUserLastActivity";
-      this.txtUserLastActivity.Size = new System.Drawing.Size(319, 20);
-      this.txtUserLastActivity.TabIndex = 16;
-      this.txtUserLastActivity.Text = "11.1.2010";
-      // 
-      // txtUserRole
-      // 
-      this.txtUserRole.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtUserRole.Location = new System.Drawing.Point(163, 66);
-      this.txtUserRole.Name = "txtUserRole";
-      this.txtUserRole.Size = new System.Drawing.Size(319, 20);
-      this.txtUserRole.TabIndex = 15;
-      this.txtUserRole.Text = "Hive Slave";
-      // 
-      // label1
-      // 
-      this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(15, 21);
-      this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(58, 13);
-      this.label1.TabIndex = 0;
-      this.label1.Text = "User name";
-      // 
-      // txtUserEmail
-      // 
-      this.txtUserEmail.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtUserEmail.Location = new System.Drawing.Point(163, 92);
-      this.txtUserEmail.Name = "txtUserEmail";
-      this.txtUserEmail.Size = new System.Drawing.Size(319, 20);
-      this.txtUserEmail.TabIndex = 14;
-      this.txtUserEmail.Text = "ascheibe@mail.com";
-      // 
-      // label2
-      // 
-      this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(15, 47);
-      this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(64, 13);
-      this.label2.TabIndex = 1;
-      this.label2.Text = "Last Activity";
-      // 
-      // txtUserPriority
-      // 
-      this.txtUserPriority.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtUserPriority.Location = new System.Drawing.Point(163, 118);
-      this.txtUserPriority.Name = "txtUserPriority";
-      this.txtUserPriority.Size = new System.Drawing.Size(319, 20);
-      this.txtUserPriority.TabIndex = 13;
-      this.txtUserPriority.Text = "10";
-      // 
-      // label3
-      // 
-      this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(15, 73);
-      this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(29, 13);
-      this.label3.TabIndex = 2;
-      this.label3.Text = "Role";
-      // 
-      // txtUserCalculatedJobs
-      // 
-      this.txtUserCalculatedJobs.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtUserCalculatedJobs.Location = new System.Drawing.Point(163, 144);
-      this.txtUserCalculatedJobs.Name = "txtUserCalculatedJobs";
-      this.txtUserCalculatedJobs.Size = new System.Drawing.Size(319, 20);
-      this.txtUserCalculatedJobs.TabIndex = 12;
-      this.txtUserCalculatedJobs.Text = "125";
-      // 
-      // label4
-      // 
-      this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(15, 99);
-      this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(32, 13);
-      this.label4.TabIndex = 3;
-      this.label4.Text = "Email";
-      // 
-      // txtUserExecutionTime
-      // 
-      this.txtUserExecutionTime.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.txtUserExecutionTime.Location = new System.Drawing.Point(163, 170);
-      this.txtUserExecutionTime.Name = "txtUserExecutionTime";
-      this.txtUserExecutionTime.Size = new System.Drawing.Size(319, 20);
-      this.txtUserExecutionTime.TabIndex = 11;
-      this.txtUserExecutionTime.Text = "15d 3h 5m";
-      // 
-      // label6
-      // 
-      this.label6.AutoSize = true;
-      this.label6.Location = new System.Drawing.Point(15, 125);
-      this.label6.Name = "label6";
-      this.label6.Size = new System.Drawing.Size(63, 13);
-      this.label6.TabIndex = 8;
-      this.label6.Text = "User Priority";
-      // 
-      // label8
-      // 
-      this.label8.AutoSize = true;
-      this.label8.Location = new System.Drawing.Point(15, 177);
-      this.label8.Name = "label8";
-      this.label8.Size = new System.Drawing.Size(116, 13);
-      this.label8.TabIndex = 10;
-      this.label8.Text = "Overall Execution Time";
-      // 
-      // label7
-      // 
-      this.label7.AutoSize = true;
-      this.label7.Location = new System.Drawing.Point(15, 151);
-      this.label7.Name = "label7";
-      this.label7.Size = new System.Drawing.Size(82, 13);
-      this.label7.TabIndex = 9;
-      this.label7.Text = "Calculated Jobs";
-      // 
-      // tabUserJobs
-      // 
-      this.tabUserJobs.Controls.Add(this.updateControl2);
-      this.tabUserJobs.Controls.Add(this.hiveExperimentManagerView);
-      this.tabUserJobs.Location = new System.Drawing.Point(4, 22);
-      this.tabUserJobs.Name = "tabUserJobs";
-      this.tabUserJobs.Padding = new System.Windows.Forms.Padding(3);
-      this.tabUserJobs.Size = new System.Drawing.Size(488, 475);
-      this.tabUserJobs.TabIndex = 1;
-      this.tabUserJobs.Text = "Experiments";
-      this.tabUserJobs.UseVisualStyleBackColor = true;
-      // 
-      // updateControl2
-      // 
-      this.updateControl2.Location = new System.Drawing.Point(7, 4);
-      this.updateControl2.Name = "updateControl2";
-      this.updateControl2.Size = new System.Drawing.Size(75, 24);
-      this.updateControl2.TabIndex = 1;
-      this.updateControl2.UpdateAction = null;
-      // 
-      // hiveExperimentManagerView
-      // 
-      this.hiveExperimentManagerView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.hiveExperimentManagerView.Caption = "HiveExperimentManagerBaseView";
-      this.hiveExperimentManagerView.Content = null;
-      this.hiveExperimentManagerView.Location = new System.Drawing.Point(4, 26);
-      this.hiveExperimentManagerView.Name = "hiveExperimentManagerView";
-      this.hiveExperimentManagerView.ReadOnly = false;
-      this.hiveExperimentManagerView.Size = new System.Drawing.Size(484, 449);
-      this.hiveExperimentManagerView.TabIndex = 0;
-      // 
-      // tabStatistics
-      // 
-      this.tabStatistics.Controls.Add(this.label5);
-      this.tabStatistics.Location = new System.Drawing.Point(4, 22);
-      this.tabStatistics.Name = "tabStatistics";
-      this.tabStatistics.Padding = new System.Windows.Forms.Padding(3);
-      this.tabStatistics.Size = new System.Drawing.Size(734, 520);
-      this.tabStatistics.TabIndex = 2;
-      this.tabStatistics.Text = "Statistics";
-      this.tabStatistics.UseVisualStyleBackColor = true;
-      // 
-      // label5
-      // 
-      this.label5.AutoSize = true;
-      this.label5.Location = new System.Drawing.Point(141, 221);
-      this.label5.Name = "label5";
-      this.label5.Size = new System.Drawing.Size(386, 13);
-      this.label5.TabIndex = 0;
-      this.label5.Text = "Show some global statistics, e.g. Overall execution time, nr of calculated jobs, " +
-          "....";
-      // 
       // HiveAdministrationView
       // 
@@ -392,15 +88,4 @@
       this.tabAdmin.ResumeLayout(false);
       this.tabSlaves.ResumeLayout(false);
-      this.tabUsers.ResumeLayout(false);
-      this.splitUsers.Panel1.ResumeLayout(false);
-      this.splitUsers.Panel2.ResumeLayout(false);
-      ((System.ComponentModel.ISupportInitialize)(this.splitUsers)).EndInit();
-      this.splitUsers.ResumeLayout(false);
-      this.tabUserDetails.ResumeLayout(false);
-      this.tabUserInformation.ResumeLayout(false);
-      this.tabUserInformation.PerformLayout();
-      this.tabUserJobs.ResumeLayout(false);
-      this.tabStatistics.ResumeLayout(false);
-      this.tabStatistics.PerformLayout();
       this.ResumeLayout(false);
 
@@ -409,31 +94,8 @@
     #endregion
 
-    private System.Windows.Forms.SplitContainer splitUsers;
-    private System.Windows.Forms.ListView lstUsers;
-    private System.Windows.Forms.Label label3;
-    private System.Windows.Forms.Label label2;
-    private System.Windows.Forms.Label label1;
-    private System.Windows.Forms.Label label4;
-    private System.Windows.Forms.TabPage tabStatistics;
-    private System.Windows.Forms.Label label5;
-    private System.Windows.Forms.Label label8;
-    private System.Windows.Forms.Label label7;
-    private System.Windows.Forms.Label label6;
-    private System.Windows.Forms.TextBox txtUserName;
-    private System.Windows.Forms.TextBox txtUserLastActivity;
-    private System.Windows.Forms.TextBox txtUserRole;
-    private System.Windows.Forms.TextBox txtUserEmail;
-    private System.Windows.Forms.TextBox txtUserPriority;
-    private System.Windows.Forms.TextBox txtUserCalculatedJobs;
-    private System.Windows.Forms.TextBox txtUserExecutionTime;
-    private System.Windows.Forms.TabControl tabUserDetails;
-    private System.Windows.Forms.TabPage tabUserInformation;
-    private System.Windows.Forms.TabPage tabUserJobs;
-    private HiveExperimentManagerView hiveExperimentManagerView;
     private System.ComponentModel.IContainer components;
     private System.Windows.Forms.ImageList imageListUsers;
-    private UpdateControl updateControl2;
     private System.Windows.Forms.TabPage tabSlaves;
-    private ResourcesView resourcesView;
+
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/HiveAdministrationView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/HiveAdministrationView.cs	(revision 6436)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/HiveAdministrationView.cs	(revision 6437)
@@ -69,18 +69,4 @@
         //updateSlaveGroups.UpdateAction = new Action(Content.UpdateSlaveGroups);  //??
         UpdateResources();
-
-        ShowUsers();
-      }
-    }
-
-    private void ShowUsers() {
-      lstUsers.SmallImageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.User);
-
-      foreach (string user in Content.Users) {
-        ListViewItem lvi = new ListViewItem();
-        lvi.Tag = user;
-        lvi.Text = user;
-        lvi.ImageIndex = 0;
-        lstUsers.Items.Add(lvi);
       }
     }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ResourcesView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ResourcesView.Designer.cs	(revision 6436)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ResourcesView.Designer.cs	(revision 6437)
@@ -50,4 +50,5 @@
       this.imageListSlaveGroups = new System.Windows.Forms.ImageList(this.components);
       this.splitSlaves = new System.Windows.Forms.SplitContainer();
+      this.updateSlaveGroup = new HeuristicLab.Clients.Hive.Administration.Views.Common.UpdateControl();
       this.btnSave = new System.Windows.Forms.Button();
       this.btnRemoveGroup = new System.Windows.Forms.Button();
@@ -56,12 +57,8 @@
       this.tabSlaveGroup = new System.Windows.Forms.TabControl();
       this.tabDetails = new System.Windows.Forms.TabPage();
+      this.slaveView = new HeuristicLab.Clients.Hive.Administration.Views.SlaveView();
       this.tabSchedule = new System.Windows.Forms.TabPage();
-      this.tabJobs = new System.Windows.Forms.TabPage();
-      this.updateSlaveGroup = new UpdateControl();
-      this.slaveView = new SlaveView();
-      this.updateScheduleControl = new UpdateControl();
-      this.scheduleView = new ScheduleView();
-      this.updateJobs = new UpdateControl();
-      this.hiveJobListViewSlaves = new HeuristicLab.Clients.Hive.Views.HiveJobListView();
+      this.updateScheduleControl = new HeuristicLab.Clients.Hive.Administration.Views.Common.UpdateControl();
+      this.scheduleView = new HeuristicLab.Clients.Hive.Administration.Views.ScheduleView();
       ((System.ComponentModel.ISupportInitialize)(this.splitSlaves)).BeginInit();
       this.splitSlaves.Panel1.SuspendLayout();
@@ -71,5 +68,4 @@
       this.tabDetails.SuspendLayout();
       this.tabSchedule.SuspendLayout();
-      this.tabJobs.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -102,4 +98,12 @@
       this.splitSlaves.SplitterDistance = 249;
       this.splitSlaves.TabIndex = 3;
+      // 
+      // updateSlaveGroup
+      // 
+      this.updateSlaveGroup.Location = new System.Drawing.Point(94, 3);
+      this.updateSlaveGroup.Name = "updateSlaveGroup";
+      this.updateSlaveGroup.Size = new System.Drawing.Size(75, 24);
+      this.updateSlaveGroup.TabIndex = 6;
+      this.updateSlaveGroup.UpdateAction = null;
       // 
       // btnSave
@@ -160,5 +164,4 @@
       this.tabSlaveGroup.Controls.Add(this.tabDetails);
       this.tabSlaveGroup.Controls.Add(this.tabSchedule);
-      this.tabSlaveGroup.Controls.Add(this.tabJobs);
       this.tabSlaveGroup.Location = new System.Drawing.Point(3, 3);
       this.tabSlaveGroup.Name = "tabSlaveGroup";
@@ -166,4 +169,5 @@
       this.tabSlaveGroup.Size = new System.Drawing.Size(585, 541);
       this.tabSlaveGroup.TabIndex = 1;
+      this.tabSlaveGroup.SelectedIndexChanged += new System.EventHandler(this.tabSlaveGroup_SelectedIndexChanged);
       // 
       // tabDetails
@@ -177,4 +181,16 @@
       this.tabDetails.Text = "Details";
       this.tabDetails.UseVisualStyleBackColor = true;
+      // 
+      // slaveView
+      // 
+      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.slaveView.Caption = "SlaveView";
+      this.slaveView.Content = null;
+      this.slaveView.Location = new System.Drawing.Point(7, 7);
+      this.slaveView.Name = "slaveView";
+      this.slaveView.ReadOnly = false;
+      this.slaveView.Size = new System.Drawing.Size(564, 210);
+      this.slaveView.TabIndex = 0;
       // 
       // tabSchedule
@@ -190,36 +206,4 @@
       this.tabSchedule.UseVisualStyleBackColor = true;
       // 
-      // tabJobs
-      // 
-      this.tabJobs.Controls.Add(this.updateJobs);
-      this.tabJobs.Controls.Add(this.hiveJobListViewSlaves);
-      this.tabJobs.Location = new System.Drawing.Point(4, 22);
-      this.tabJobs.Name = "tabJobs";
-      this.tabJobs.Padding = new System.Windows.Forms.Padding(3);
-      this.tabJobs.Size = new System.Drawing.Size(577, 515);
-      this.tabJobs.TabIndex = 2;
-      this.tabJobs.Text = "Jobs";
-      this.tabJobs.UseVisualStyleBackColor = true;
-      // 
-      // updateSlaveGroup
-      // 
-      this.updateSlaveGroup.Location = new System.Drawing.Point(94, 3);
-      this.updateSlaveGroup.Name = "updateSlaveGroup";
-      this.updateSlaveGroup.Size = new System.Drawing.Size(75, 24);
-      this.updateSlaveGroup.TabIndex = 6;
-      this.updateSlaveGroup.UpdateAction = null;
-      // 
-      // slaveView
-      // 
-      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.slaveView.Caption = "SlaveView";
-      this.slaveView.Content = null;
-      this.slaveView.Location = new System.Drawing.Point(7, 7);
-      this.slaveView.Name = "slaveView";
-      this.slaveView.ReadOnly = false;
-      this.slaveView.Size = new System.Drawing.Size(564, 210);
-      this.slaveView.TabIndex = 0;
-      // 
       // updateScheduleControl
       // 
@@ -243,25 +227,4 @@
       this.scheduleView.Size = new System.Drawing.Size(568, 473);
       this.scheduleView.TabIndex = 0;
-      // 
-      // updateJobs
-      // 
-      this.updateJobs.Location = new System.Drawing.Point(7, 3);
-      this.updateJobs.Name = "updateJobs";
-      this.updateJobs.Size = new System.Drawing.Size(75, 24);
-      this.updateJobs.TabIndex = 1;
-      this.updateJobs.UpdateAction = null;
-      // 
-      // hiveJobListViewSlaves
-      // 
-      this.hiveJobListViewSlaves.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.hiveJobListViewSlaves.Caption = "JobItemList View";
-      this.hiveJobListViewSlaves.Content = null;
-      this.hiveJobListViewSlaves.Location = new System.Drawing.Point(7, 26);
-      this.hiveJobListViewSlaves.Name = "hiveJobListViewSlaves";
-      this.hiveJobListViewSlaves.ReadOnly = false;
-      this.hiveJobListViewSlaves.Size = new System.Drawing.Size(573, 557);
-      this.hiveJobListViewSlaves.TabIndex = 0;
       // 
       // ResourcesView
@@ -279,5 +242,4 @@
       this.tabDetails.ResumeLayout(false);
       this.tabSchedule.ResumeLayout(false);
-      this.tabJobs.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -293,7 +255,4 @@
     private System.Windows.Forms.TabPage tabDetails;
     private System.Windows.Forms.TabPage tabSchedule;
-    private System.Windows.Forms.TabPage tabJobs;
-    private UpdateControl updateJobs;
-    private HeuristicLab.Clients.Hive.Views.HiveJobListView hiveJobListViewSlaves;
     private SlaveView slaveView;
     private System.Windows.Forms.ImageList imageListSlaveGroups;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ResourcesView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ResourcesView.cs	(revision 6436)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ResourcesView.cs	(revision 6437)
@@ -24,8 +24,8 @@
 using System.Linq;
 using System.Windows.Forms;
+using HeuristicLab.Clients.Hive.Views;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
-using HeuristicLab.Clients.Hive.Views;
 
 namespace HeuristicLab.Clients.Hive.Administration.Views {
@@ -122,4 +122,7 @@
       if (e.Node.Tag.GetType() == typeof(Slave)) {
         scheduleView.ResourceId = ((Slave)e.Node.Tag).Id;
+        if (tabSlaveGroup.SelectedIndex == 1) {
+          UpdateSchedule();
+        }
       } else if (e.Node.Tag is SlaveGroup) {
         slaveView.Content.PropertyChanged += new System.ComponentModel.PropertyChangedEventHandler(SlaveViewContent_PropertyChanged);
@@ -149,14 +152,15 @@
       if (treeSlaveGroup.SelectedNode != null && treeSlaveGroup.SelectedNode.Tag != null) {
         Resource res = (Resource)treeSlaveGroup.SelectedNode.Tag;
-        Content.Remove(res);
 
         if (res is Slave) {
+          Content.Remove(res);
           ServiceLocator.Instance.CallHiveService(service => service.DeleteSlave(res.Id));
         } else if (res is SlaveGroup) {
           //only delete empty groups
-          if (Content.Where(s => s.ParentResourceId == res.Id).Count() < 0) {
+          if (Content.Where(s => s.ParentResourceId == res.Id).Count() < 1) {
+            Content.Remove(res);
             ServiceLocator.Instance.CallHiveService(service => service.DeleteSlaveGroup(res.Id));
           } else {
-            MessageBox.Show("Only empty groups can be deleted.");
+            MessageBox.Show("Only empty groups can be deleted.", "HeuristicLab Hive Administration", MessageBoxButtons.OK, MessageBoxIcon.Error);
           }
         }
@@ -168,5 +172,5 @@
         if (res is SlaveGroup && res.Id == Guid.Empty) {
           SlaveGroup slaveGroup = (SlaveGroup)res;
-          ServiceLocator.Instance.CallHiveService(service => service.AddSlaveGroup(slaveGroup));
+          ServiceLocator.Instance.CallHiveService(service => slaveGroup.Id = service.AddSlaveGroup(slaveGroup));
         }
         if (res.Id != Guid.Empty && res.Modified) {
@@ -198,5 +202,10 @@
             if (newNode.Tag != null && newNode.Tag is Slave) {
               Slave slave = (Slave)newNode.Tag;
-              if (slave.ParentResourceId != sgrp.Id) {
+
+              if (sgrp.Id == Guid.Empty) {
+                ServiceLocator.Instance.CallHiveService(service => sgrp.Id = service.AddSlaveGroup(sgrp));
+              }
+
+              if (slave.ParentResourceId == null || (slave.ParentResourceId != null && slave.ParentResourceId != sgrp.Id)) {
                 slave.ParentResourceId = sgrp.Id;
                 OnContentChanged();
@@ -257,4 +266,10 @@
       }
     }
+
+    private void tabSlaveGroup_SelectedIndexChanged(object sender, EventArgs e) {
+      if (tabSlaveGroup.SelectedIndex == 1) {
+        UpdateSchedule();
+      }
+    }
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ScheduleView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ScheduleView.cs	(revision 6436)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/Views/ScheduleView.cs	(revision 6437)
@@ -44,9 +44,16 @@
     public List<HiveAppointment> offlineTimes = new List<HiveAppointment>();
 
-
     //delegate fired, if a dialog is being closed
     public delegate void OnDialogClosedDelegate(RecurrentEvent e);
 
-    public Guid ResourceId { get; set; }
+    private Guid resourceId;
+    public Guid ResourceId {
+      get {
+        return resourceId;
+      }
+      set {
+        resourceId = value;
+      }
+    }
 
     public ScheduleView() {
@@ -319,5 +326,5 @@
             RecurringId = app.RecurringId,
             StartDate = app.StartDate,
-            ResourceId = ResourceId
+            ResourceId = resourceId
           };
           appointments.Add(apdto);
@@ -336,8 +343,4 @@
       }
     }
-
-    #region Event Handlers
-    // TODO: Put event handlers here
-    #endregion
   }
 }