Index: trunk/sources/HeuristicLab/3.3/Tests/Properties/Resources.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab/3.3/Tests/Properties/Resources.Designer.cs	(revision 6440)
+++ trunk/sources/HeuristicLab/3.3/Tests/Properties/Resources.Designer.cs	(revision 6441)
@@ -58,4 +58,217 @@
             set {
                 resourceCulture = value;
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to C101
+        ///
+        ///VEHICLE
+        ///NUMBER     CAPACITY
+        ///  25         200
+        ///
+        ///CUSTOMER
+        ///CUST NO.  XCOORD.   YCOORD.    DEMAND   READY TIME  DUE DATE   SERVICE   TIME
+        /// 
+        ///    0      40         50          0          0       1236          0   
+        ///    1      45         68         10        912        967         90   
+        ///    2      45         70         30        825        870         90   
+        ///    3      42         66         10         65        146         90   
+        ///    4      42         68         10        727        782         90   [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string C101 {
+            get {
+                return ResourceManager.GetString("C101", resourceCulture);
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to Route #1: 67 65 63 62 74 72 61 64 68 66 69 
+        ///Route #2: 98 96 95 94 92 93 97 100 99 
+        ///Route #3: 32 33 31 35 37 38 39 36 34 
+        ///Route #4: 90 87 86 83 82 84 85 88 89 91 
+        ///Route #5: 81 78 76 71 70 73 77 79 80 
+        ///Route #6: 57 55 54 53 56 58 60 59 
+        ///Route #7: 20 24 25 27 29 30 28 26 23 22 21 
+        ///Route #8: 43 42 41 40 44 46 45 48 51 50 52 49 47 
+        ///Route #9: 5 3 7 8 10 11 9 6 4 2 1 75 
+        ///Route #10: 13 17 18 19 15 16 14 12 
+        ///cost 1828.9368669428336.
+        /// </summary>
+        internal static string C101_opt {
+            get {
+                return ResourceManager.GetString("C101_opt", resourceCulture);
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to NAME: ch130
+        ///TYPE: TSP
+        ///COMMENT: 130 city problem (Churritz)
+        ///DIMENSION: 130
+        ///EDGE_WEIGHT_TYPE: EUC_2D
+        ///NODE_COORD_SECTION
+        ///1 334.5909245845 161.7809319139
+        ///2 397.6446634067 262.8165330708
+        ///3 503.8741827107 172.8741151168
+        ///4 444.0479403502 384.6491809647
+        ///5 311.6137146746 2.0091699828
+        ///6 662.8551011379 549.2301263653
+        ///7 40.0979030612 187.2375430791
+        ///8 526.8941409181 215.7079092185
+        ///9 209.1887938487 691.0262291948
+        ///10 683.2674131973 414.2096286906
+        ///11 280.7494438748 5.9206392047
+        ///12 252.7493090080 535.7430385019
+        ///13 698.78504 [rest of string was truncated]&quot;;.
+        /// </summary>
+        internal static string ch130 {
+            get {
+                return ResourceManager.GetString("ch130", resourceCulture);
+            }
+        }
+        
+        /// <summary>
+        ///   Looks up a localized string similar to NAME : ch130.opt.tour
+        ///COMMENT : Length 6110
+        ///TYPE : TOUR
+        ///DIMENSION : 130
+        ///TOUR_SECTION
+        ///1
+        ///41
+        ///39
+        ///117
+        ///112
+        ///115
+        ///28
+        ///62
+        ///105
+        ///128
+        ///16
+        ///45
+        ///5
+        ///11
+        ///76
+        ///109
+        ///61
+        ///129
+        ///124
+        ///64
+        ///69
+        ///86
+        ///88
+        ///26
+        ///7
+        ///97
+        ///70
+        ///107
+        ///127
+        ///104
+        ///43
+        ///34
+        ///17
+        ///31
+        ///27
+        ///19
+        ///100
+        ///15
+        ///29
+        ///24
+        ///116
+        ///95
+        ///79
+        ///87
+        ///12
+        ///81
+        ///103
+        ///77
+        ///94
+        ///89
+        ///110
+        ///98
+        ///68
+        ///63
+        ///48
+        ///25
+        ///113
+        ///32
+        ///36
+        ///84
+        ///119
+        ///111
+        ///123
+        ///101
+        ///82
+        ///57
+        ///9
+        ///56
+        ///65
+        ///52
+        ///75
+        ///74
+        ///99
+        ///73
+        ///92
+        ///38
+        ///106
+        ///53
+        ///120
+        ///58
+        ///49
+        ///72
+        ///91
+        ///6
+        ///102
+        ///10
+        ///14
+        ///67
+        ///13
+        ///96
+        ///122
+        ///55
+        ///60
+        ///51
+        ///42
+        ///44
+        ///93
+        ///37
+        ///22
+        ///47
+        ///40
+        ///23
+        ///33
+        ///21
+        ///126
+        ///121
+        ///78
+        ///66
+        ///85
+        ///125
+        ///90
+        ///59
+        ///30
+        ///83
+        ///3
+        ///114
+        ///108
+        ///8
+        ///18
+        ///46
+        ///80
+        ///118
+        ///20
+        ///4
+        ///35
+        ///54
+        ///2
+        ///50
+        ///130
+        ///71
+        ///-1
+        ///.
+        /// </summary>
+        internal static string ch130_opt {
+            get {
+                return ResourceManager.GetString("ch130_opt", resourceCulture);
             }
         }
Index: trunk/sources/HeuristicLab/3.3/Tests/Properties/Resources.resx
===================================================================
--- trunk/sources/HeuristicLab/3.3/Tests/Properties/Resources.resx	(revision 6440)
+++ trunk/sources/HeuristicLab/3.3/Tests/Properties/Resources.resx	(revision 6441)
@@ -119,9 +119,21 @@
   </resheader>
   <assembly alias="System.Windows.Forms" name="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" />
+  <data name="C101" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\resources\c101.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+  </data>
+  <data name="C101_opt" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\resources\c101.opt.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;utf-8</value>
+  </data>
+  <data name="ch130" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\resources\ch130.tsp;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </data>
+  <data name="ch130_opt" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\resources\ch130.opt.tour;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </data>
   <data name="MammographicMasses" type="System.Resources.ResXFileRef, System.Windows.Forms">
-    <value>..\mammographic_masses.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+    <value>..\resources\mammographic_masses.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
   </data>
   <data name="TowerData" type="System.Resources.ResXFileRef, System.Windows.Forms">
-    <value>..\towerdata.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
+    <value>..\resources\towerdata.txt;System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089;Windows-1252</value>
   </data>
 </root>